### Constructor

# ICalGLib Array new_full

since: 1.0

#### Declaration [src]

    ICalArray*
    i_cal_array_new_full (
      icalarray* native,
      GObject* owner,
      gboolean is_global_memory
    )

#### Description [src]

Create a new libical-glib object from the native libical object and the owner.

Available since: 1.0

This constructor is not directly available to language bindings.

#### Parameters

`native`

  Type: `icalarray*`

  The native libical object.

  The data is owned by the caller of the function.

`owner`

  Type: `GObject`

  The parent.

  The data is owned by the caller of the function.

`is_global_memory`

  Type: `gboolean`

  Whether it is allocated in the global memory.

#### Return value

Type: `ICalArray`

The newly create libical-glib object.

The caller of the function takes ownership of the data, and is responsible for freeing it.